export function addOutputListener(analogId, outputName, callback, eventListenerOptions = {}) {
    const observer = new MutationObserver((mutations) => {
        const foundTarget = mutations.find((mutation) => mutation.target.dataset?.['analogId'] === analogId)?.target;
        if (foundTarget) {
            foundTarget.addEventListener(outputName, callback, eventListenerOptions);
            observer.disconnect();
        }
    });
    observer.observe(document.body, { attributes: true, subtree: true });
    return () => observer.disconnect();
}
//# sourceMappingURL=utils.js.map